dist:
  - trusty

language:
  - cpp

sudo:
  - false

os:
  - linux
  - osx

addons:
  apt:
    packages:
      - libsndfile-dev
      - vamp-plugin-sdk
      
before_install:
  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then brew update ; brew install libsndfile ; fi
  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then ( cd ../ ; hg clone https://code.soundsoftware.ac.uk/hg/vamp-plugin-sdk ; cd vamp-plugin-sdk ; make -f build/Makefile.osx ) ; fi
  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then export PATH=$PATH:$PWD/../vamp-plugin-sdk/host ; fi

script:
  - if [[ "$TRAVIS_OS_NAME" = "osx" ]] ; then make -f Makefile.osx ; else make -f Makefile.linux ; fi
  - VAMP_PATH=".:Example VamPy plugins" vamp-simple-host -l




